Frequently asked questions about Remote Desktop Connection

With Remote Desktop Connection, you can easily connect to a remote computer running Windows. All you need is network access and permissions to connect to the other computer. You can also specify special settings for your connection, and then save the settings for the next time you connect.

What is Remote Desktop Connection?

Remote Desktop Connection is a technology that allows you to sit at a computer and connect to a remote computer in a different location. For example, you can connect to your work computer from your home computer and have access to all of your programs, files, and network resources as though you were in front of your computer at work. You can leave programs running at work and when you get home, you will see your work computer's desktop displayed on your home computer, with the same programs running.

What is a full computer name?

Also known as a fully qualified domain name (FQDN), a full computer name includes the host (computer) name, the domain name, and all the higher level domains. For example, the full computer name of a computer named "host" might be host.example.microsoft.com.

When do I need to use authentication in Remote Desktop Connection?

Use authentication when you want to securely verify that you are connecting to the correct computer. Your network administrator might also require you to use authentication.

What are server authentication options?

In Remote Desktop Connection, server authentication verifies that you are connecting to the correct remote computer, or server. This security measure helps prevent the interception of data by an unauthorized remote computer. There are three available authentication options:

  • Always connect, even if authentication fails (least secure): With this option, even if Remote Desktop Connection cannot verify the identity of the remote computer, it connects anyway.
  • Warn me if authentication fails (more secure): With this option, if Remote Desktop Connection cannot verify the identity of the remote computer, it warns you so that you can choose whether to proceed with the connection or not.
  • Don't connect if authentication fails (most secure): With this option, if Remote Desktop Connection cannot verify the identity of the remote computer, you won't be able to connect.

To change authentication options, open Remote Desktop Connection, click Options, and then click the Advanced tab. If you're not sure which option to choose, ask your system administrator or the owner of the remote computer.

Remote computers that are running Windows Server 2003 with Service Pack 1 (SP1) or earlier operating systems cannot provide their identity for verification. If you know that the remote computer is running one of those operating systems, you can avoid authentication warnings by choosing Always connect, even if authentication fails, and then saving that change by clicking Save or Save As on the General tab.

The default option is "Always connect, even if authentication fails." To change it for future use, select the authentication level you want, and then, on the General tab, click Save or Save As to save your settings to an .rdp file. To connect to the same remote computer in the future, double-click the .rdp file.

What is Network Level Authentication?

Network Level Authentication (NLA) is a new authentication method that completes user authentication before you establish a full Remote Desktop connection and the logon screen appears. This is a more secure authentication method that can help protect the remote computer from hackers and malicious software. The advantages of NLA are:

  • It requires fewer remote computer resources initially. The remote computer uses a limited number of resources before authenticating the user, rather than starting a full Remote Desktop connection as in previous versions.
  • It can help provide better security by reducing the risk of denial-of-service attacks (attempts to limit or prevent access to the Internet).
  • It uses remote computer authentication, which can help protect people from connecting to remote computers that are set up for malicious purposes.

To find out if your computer is running a version of Remote Desktop with NLA

  1. Open Remote Desktop Connection.
  2. Click the icon in the top left corner of the Remote Desktop Connection dialog box, and then click About.
  3. Look for the phrase "Network Level Authentication supported" on the About Remote Desktop Connection dialog box.

What is a Terminal Services Gateway server?

A Terminal Services Gateway (TS Gateway) server is a type of gateway that enables authorized users to connect to remote computers on a corporate network from any computer with an Internet connection. TS Gateway uses Remote Desktop Protocol (RDP) along with HTTPS to help create a more secure, encrypted connection.

In earlier versions of Remote Desktop Connection, people could not connect to remote computers across firewalls and network address translators because port 3389—the port used for Remote Desktop connections—is typically blocked to enhance network security. However, a TS Gateway server uses port 443, which transmits data through a Secure Sockets Layer (SSL) tunnel.

A TS Gateway server provides these benefits:

  • Enables Remote Desktop connections to a corporate network from the Internet without having to set up a virtual private network (VPN) connection.
  • Enables connections to remote computers across firewalls.
  • Allows you to share a network connection with other programs running on your computer. This enables you to use your ISP connection instead of your corporate network to send and receive data over the remote connection.

Ask your network administrator whether you need to specify a TS Gateway server.

To specify a TS Gateway server:

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. Click Options, click the Advanced tab, and then, under Connect from anywhere, click Settings.
  3. Select Use these TS Gateway server settings, and then type the server name (ask your network administrator for this information).
  4. Select one of the three available logon methods:
    • Allow me to select later. This option lets you select a logon method when you connect.
    • Ask for password. This option prompts you for a password when you connect.
    • Smart card. This option prompts you to insert a smart card when you connect.
  5. Select or clear the Bypass TS Gateway server for local addresses check box.

    Selecting this check box prevents traffic to and from local network addresses from being routed through the TS Gateway server, which makes your connection faster.

Note

  • Your network administrator might not allow changes to TS Gateway server settings.

Is there dual monitor support for Remote Desktop Connection?

Remote Desktop Connection supports high-resolution displays that can be spanned across multiple monitors. The monitors must be the same height and aligned side by side. To have the remote computer's desktop span two monitors, type Mstsc /span at a command prompt.

This feature is sometimes called continuous resolution. To toggle in and out of full-screen spanned mode, press CTRL+ALT+BREAK.

How can I change the listening port for Remote Desktop Connection?

For additional security, you can change the port that Remote Desktop Connection uses (or "listens on"), instead of using the standard port 3389. When you log on, type the remote computer name, followed by a colon and the desired port (for example, Computer1:3390).

How does Remote Programs work?

Remote Programs is a feature in Windows that allows you to connect to a remote computer and use programs installed on it. For example, your workplace might have a remote computer that you and other employees can connect to and run Microsoft Word. The experience is the same as running a program installed on your computer.

Remote Programs makes system administration easier because there is only one copy of a program to upgrade or maintain, rather than many copies installed on individual computers.

Notes

  • To open Remote Desktop Connection, click Start, click Programs or All Programs, click Accessories, and then click Remote Desktop Connection.
  • To enable your computer to accept remote connections, open System in Control Panel. In Windows XP, click the Remote tab and then select the Allow users to connect remotely to this computer check box. In Windows Server 2003, click the Remote tab and then select the Enable Remote Desktop on this computer check box. Click OK.
  • To view a list of available computers on a domain, open Remote Desktop Connection, click the arrow next to Computer, and select Browse for more.


How to...

  • Create a new connection
  • Reestablish a prior connection
  • Save your connection settings to a file
  • Open a saved connection
  • Connect to the console session of a remote computer
  • Disconnect without ending a session
  • Log off and end the session
  • Copy and paste a file from a local computer to a remote computer
  • Copy and paste a file from a remote computer to a local computer
  • Change connection settings


Create a new connection

To create a new connection

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Computer box, type a computer name or IP address.

    The computer can be a terminal server or it can be a computer running Windows Vista, Windows XP Professional Service Pack 2 (SP2), or Windows Server 2003 with Service Pack 2 (SP2) that has Remote Desktop enabled and for which you have Remote Desktop permissions.

  3. Click Connect.

    Depending on which version of Windows you are using, the Windows Security or the Log On to Windows dialog box appears.

  4. In the Windows Security or Log On to Windows dialog box, type your user credentials (for example, user name, password, and domain), and then click OK or Submit.

Notes

  • To change your connection settings, (such as screen size, automatic logon information, and performance options), click Options before you connect. For more information, see To change connection settings.
  • You cannot use Remote Desktop Connection to connect to computers running Windows XP Home Edition.

Related Topics

To reestablish a prior connection

To save your connection settings to a file


Reestablish a prior connection

To reestablish a prior connection

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, in the Computer list, click the name of the computer that you want to connect to, and then click Connect.
  3. In the Windows Security or Log On to Windows dialog box, type your credentials (for example, user name, password, or domain), and then click OK or Submit.

Note

  • To see a list of available computers on the domain, in the Computer list, click Browse for more.

Related Topics

Create a new connection

Save your connection settings to a file


Save your connection settings to a file

To save your connection settings to a file

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection window, click Options.
  3. Specify the connection settings that you want for this connection, (such as screen size, automatic logon information, and performance options). For more information about changing connection settings, see To change connection settings.
  4. On the General tab, click Save As.
  5. Enter a file name for the saved connection file, and then click Save.

Note

  • Connections are saved as Remote Desktop protocol (.rdp) files. An .rdp file contains all of the information for a remote connection, including the settings that were configured when the file was saved. You can customize any number of .rdp files, including files for connecting to the same remote computer with different settings. For example, you can save a file that connects to MyRemoteComputer in full screen mode and another file that connects to the same computer in 800 × 600 screen resolution. The default .rdp file is saved as a hidden file in your My Documents folder. To edit an .rdp file and change the connections settings it contains, right-click the file, and then click Edit.

    For more information about specifying connection settings, see To change connection settings.

Related Topics

Create a new connection

Reestablish a prior connection

Open a saved connection


Open a saved connection

To open a saved connection

  1. Double-click the .rdp file for the connection you want to open.

Note

  • By default, Remote Desktop protocol files (.rdp files) are saved in the My Documents folder.
  • An .rdp file contains all the information for a connection to a remote computer, including the Options settings that were configured when the file was saved. You can customize any number of .rdp files, including files for connecting to the same server with different settings. For example, you can save a file that connects to MyServer in full-screen mode and another file that connects to the same computer using a screen resolution of 800 × 600. The default .rdp file is saved as a hidden file in My Documents. To edit an .rdp file and change the connections settings it contains, right-click the file, and then click Edit.

Related Topics

Create a new connection

Save your connection settings to a file


Connect to the console session of a remote computer

To connect to the console session of a remote computer

In this version of Remote Desktop Connection, if the Terminal Server role service is installed on the remote computer, mstsc /console will:

  • Disable Terminal Services client access licensing (TS-CAL) for this connection only.
  • Disable time zone redirection for this connection only.
  • Disable TS Session Directory redirection for this connection only.

To connect to the console session of a remote computer with the Terminal Server role service installed, follow these steps:

  1. Open the Command Prompt window.
  2. Type:

    mstsc /v:server /console

You can also use the "/console" parameter to connect to a server running Windows Server 2003, with or without the Terminal Server role service installed.

Value | Description
Server | The DNS name or IP address of the remote computer you want to connect to

Note

  • To open the Command Prompt window, click Start, point to Programs or All Programs, point to Accessories, and then click Command Prompt.

Related Topics

To create a new connection

To reestablish a prior connection


Disconnect without ending a session

To disconnect without ending a session

In the Remote Desktop Connection window:

  • If you are connected to a remote computer running Windows Vista, click the Start button Start button, and then click the Power button Power button.

    – or –

  • If you are connected to a remote computer running an earlier version of Windows, click Start, and then click Disconnect.

    – or –

  • Click the Close button ( Close button) on the connection bar at the top of your screen.

Remote Desktop Connection automatically reconnects to this session the next time you connect to this computer (if the remote computer is configured to allow reconnection of disconnected sessions).

Related Topics

To log off and end the session

To change connection settings


Log off and end the session

To log off and end the session

  • For remote computers running Windows Vista, click the Start button Start button, click the arrow next to the Lock button Lock and arrow buttons on Start menu, and then click Log Off.

    – or –

    For remote computers running earlier versions of Windows, click Start, and then click Log Off.

Related Topics

To disconnect without ending a session

How to...


Copy and paste a file from a local computer to a remote computer

To copy and paste a file from a local computer to a remote computer

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. Click the Local Resources tab, and then, under Local devices and resources, click More.
  4. Click the plus sign (+) next to Drives, select the drives on the local computer (the computer at which you are currently sitting) that you want to use in your Remote Desktop session, and then click OK.
  5. Click Connect, and establish a connection to the remote computer.
  6. Click Start on the remote computer, and then click Computer or My Computer.

    When Computer or My Computer opens on the remote computer, you'll see the drives on the remote computer as well as the drives on your local computer. The following example shows how the drives on your local computer are named when they appear in Computer or My Computer on the remote computer:

    C on JoesComputer
  7. Right-click the file on your local computer that you want to transfer to the remote computer, and then click Copy.
  8. Navigate in the same Computer or My Computer window to the location on the remote computer where you want to paste the file.
  9. Right-click the folder icon, and then click Paste.

Related Topics

To copy and paste a file from a remote computer to a local computer

Cutting and pasting to and from remote sessions

Accessing local files and folders in a remote session

To make your local disk drives available in a session


Copy and paste a file from a remote computer to a local computer

To copy and paste a file from a remote computer to a local computer

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. Click the Local Resources tab, and then, under Local devices and resources, click More.
  4. Click the plus sign (+) next to Drives, select the drives on the local computer (the computer at which you are currently sitting) that you want to use in your Remote Desktop session, and then click OK.
  5. Click Connect, and establish a connection to the remote computer.
  6. Click Start on the remote computer, and then click Computer or My Computer.

    When Computer or My Computer opens on the remote computer, you'll see the drives on the remote computer, as well as the drives on your local computer. The following example shows how the drives on your local computer are named when they appear in Computer or My Computer on the remote computer:

    C on MarysComputer
  7. Right-click the file on the remote computer that you want to transfer to your local computer, and then click Copy.
  8. Navigate in the same Computer or My Computer window to the location on your local computer where you want to paste the file.
  9. Right-click the folder icon and then click Paste.

Related Topics

To copy and paste a file from a local computer to a remote computer

Cutting and pasting to and from remote sessions

Accessing local files and folders in a remote session

To make your local disk drives available in a session


Change connection settings

To change connection settings

  • Provide information for automatic logon
  • Change the screen size for connections
  • Change the color settings for connections
  • Improve the performance of connections
  • Display the connection bar in full-screen mode
  • Specify a program to start upon connection
  • Configure connections to play audio
  • Make local disk drives and devices available in a session
  • Make a local printer available in a session
  • Make local serial ports available in a session
  • Configure Windows shortcut keys in a session
  • Configure data compression
  • Configure bitmap caching
  • Disconnect without ending a session
  • Log off and end a session
  • Save your connection settings to a file


Provide information for automatic logon

To provide information for automatic logon

You can set up your computer to automatically log on to a remote computer using Remote Desktop Connection. If you do this, make sure that no one else uses your computer unless you want that person to have access to the remote computer.

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In Computer, type the name of the remote computer that you want to connect to, and then click Connect.
  3. Type your user name, password, or other credentials in the dialog box that appears, and then click Remember my password.

Notes

  • Depending on the policies of your network or the configuration of the computer that you are connecting to, you might still be asked to type your password, even though you have completed the steps above.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.
  • If the option Remember my credentials is unavailable, the policy Do Not Allow Password Saving is enabled.

Related Topics

To create a new connection

To change connection settings


Reconnect if your connection is dropped

To reconnect if your connection is dropped

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. Click the Experience tab, and then select the Reconnect if connection is dropped check box.

Note

  • To change your connection settings, (such as screen size, automatic logon information, and performance options), click Options before you connect.

Related Topics

To reestablish a prior connection

To save your connection settings to a file

To change connection settings


Change the screen size for connections

To change the screen size for connections

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. Click the Display tab.
  4. Under Remote desktop size, move the slider to choose the size of your remote desktop, and then click Connect.

    Move the slider all the way to the right for full screen.

Note

  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

Using Terminal Services shortcut keys


Change the color settings for connections

To change the color settings for connections

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. Click the Display tab.
  4. In the Colors list, click the color resolution you want, and then click Connect.

Notes

  • Depending on the policies of your network or the configuration of the remote computer to which you want to connect, the maximum color resolution for your remote connection might be limited. If the color resolution you select is higher than the allowable setting, Remote Desktop Connection creates the connection at the maximum allowable color resolution.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

To change connection settings


Improve the performance of connections

To improve the performance of connections

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options, and then click the Experience tab.
  3. In the Performance box, select the speed of your connection.

    To improve the performance of the connection, you can allow certain characteristics of the remote Windows session to appear, if they are enabled on the remote computer. The characteristics that can be changed depend on the speed of your connection.

    If you choose Custom, you can select any combination of boxes. Your choices are saved in a connection (.rdp) file.

Notes

  • The default connection speed is Modem (56 Kbps). This speed offers very good performance for most networks. Use the faster speed settings to enable richer graphical characteristics, such as desktop background or menu sliding and fading. To select a combination of individual effects, use the Custom setting.
  • Depending on the speed of your connection, you can specify the following characteristics:
    • Desktop background
    • Font smoothing
    • Desktop composition
    • Show contents of window while dragging
    • Menu and window animation
    • Themes
    • Bitmap caching

Related Topics

To save your connection settings to a file

To configure bitmap caching

To change connection settings


Display the connection bar in full-screen mode

To display the connection bar in full-screen mode

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. On the Display tab, select the Display the connection bar when in full screen mode check box, and then click Connect.

Notes

  • For the first five seconds of a remote connection, the connection bar appears so that you can verify that you are connected to the correct remote computer. This occurs even though you have chosen not to display the connection bar.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

To create a new connection

To change connection settings


Specify a program to start upon connection

To specify a program to start upon connection

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. On the Programs tab, under Start a program, click Start the following program on connection.
  4. In the Program path and file name box, type the path and file name of the program that you want to run after the connection is created.

    (Optionally, in the Start in the following folder box, type the path to the working directory of the program.)

  5. Click Connect.

Notes

  • This option is available only if you are connecting to a terminal server.
  • When the connection is made, only the specified program runs on the remote computer.
  • There are two ways to end a session.
    • To end the session and close the program, in the program, click Exit.
    • To disconnect the session and leave the program running on the remote computer, click the Close icon in the upper right corner of the Remote Desktop window.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

To change connection settings


Configure connections to play audio

To configure connections to play audio

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. Click the Local Resources tab, and then, in the Remote computer sound list, click the option you want.
    • To run sound files in your Remote Desktop session and play them on your local computer, choose Bring to this computer.
    • To run sound files in your Remote Desktop session and play them only on the remote computer, choose Leave at remote computer.
    • To disable all sound in Remote Desktop sessions, choose Do not play.
  4. Click Connect.

Notes

  • Depending on the policies of your network, audio redirection might be disabled for some or all remote connections. Additionally, audio redirection does not work when you connect to a remote computer running Windows 2000 or earlier.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

To change connection settings


Make local disk drives and devices available in a session

To make local disk drives and devices available in a session

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. Click the Local Resources tab, and then click More.
  4. Under Local devices and resources, click the plus (+) sign next to Drives to expand the list of drives.
  5. Select the check box for each drive you want to make available in the session, and then click OK.
  6. Click Connect.

If you are connecting to a computer running Windows XP or Windows Server 2003 and you want to copy and paste files, follow the steps above to redirect the drive on this computer that contains your temporary folder. In most cases, this will be drive C.

You can also choose to automatically redirect drives or devices that you plug in or connect to in the future. Here's how:

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. Click the Local Resources tab, and then click More.
  4. Under Local devices and resources, click the plus sign (+) next to Drives, and then select Drives that I connect to later.

    —or—

    Under Local devices and resources, click the plus sign (+) next to Supported Plug and Play devices, and then select Devices that I plug in later.

Notes

  • The Plug and Play devices that support redirection and are currently plugged in appear in the list of devices. If the device that you have plugged in is not in the list, it is currently not a supported device for redirection.
  • Depending on the policies of your network, local drive mapping might be disabled for some or all remote connections.
  • Mapping local drives is not available on computers running Windows Server 2000 or earlier versions of Windows.
  • You might see a Remote Desktop Connection security warning, which asks whether you want to connect your local disk drives or smart card to the remote computer. To enable one or both of these connections, select the appropriate check box. If you choose not to enable these connections, a connection is still established, but the information on these local drives is not available to the remote computer.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

To change connection settings

Making local resources available in a remote session


Make your local printer available in a session

To make your local printer available in a session

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. On the Local Resources tab, under Local devices and resources, select the Printers check box, and then click Connect.

Notes

  • Depending on the policies of your network, local printer mapping might be disabled for some or all remote connections.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

To change connection settings

Making local resources available in a remote session


Make your local serial port available in a session

To make your local serial port available in a session

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. On the Local Resources tab, under Local devices and resources, click More, select the Serial ports check box, and then click OK.
  4. Click Connect.

Notes

  • Depending on the policies of your network, local serial port mapping might be disabled for some or all remote connections.
  • You might see a security warning message asking whether you want to connect your local disk drives, local ports, or smart card to the remote computer. To enable one or more of these connections, select the appropriate check boxes. If you choose not to enable these connections, a Remote Desktop Connection is still established, but these resources are not available to the remote computer.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.


Make a smart card available in a session

To make a smart card available in a session

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection window, click Options.
  3. On the Local Resources tab, under Local devices and resources, click More.
  4. Select the Smart cards check box, click OK, and then click Connect.

Notes

  • Depending on the policies of your network, smart card redirection might be disabled for some or all remote connections.
  • The option to enable smart card redirection is not available unless a smart card is present and the Smart Card service is enabled.
  • You might see a security warning asking whether you want to connect your local disk drives, local ports, or smart card to the remote computer. To enable one or more of these connections, select the appropriate check boxes. If you choose not to enable these connections, a Remote Desktop Connection is still established, but these resources are not available to the remote computer.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

To change connection settings

Using a smart card to log on to a remote computer


Configure

To configure Windows shortcut keys in a session

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options.
  3. Click the Local Resources tab, and then, under Keyboard, select the option you want. This option affects the behavior of Windows shortcut key combinations (such as ALT+TAB) when you are connected to a remote computer.
    • To configure your connection so that Windows shortcut keys always apply to your local desktop, choose On the local computer.
    • To configure your connection so that Windows shortcut keys always apply to the desktop of the remote computer, choose On the remote computer.
    • To configure your connection so that Windows shortcut keys apply to the remote computer only when the connection is in full screen mode, choose In full screen mode only.
  4. Click Connect.

Notes

  • CTRL+ALT+DEL always goes to the local desktop. If you need to send CTRL+ALT+DEL to the remote computer, you must use CTRL+ALT+END.
  • To toggle between full screen and non-full screen mode during a Remote Desktop session, use CTRL+ALT+BREAK.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

Using Terminal Services shortcut keys


Configure bitmap caching

To configure bitmap caching

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection window, click Options.
  3. Click the Experience tab, select or clear the Bitmap caching check box, and then click Connect.

Notes

  • Bitmap caching can speed up your connection by storing frequently used images on your local hard disk. By default, bitmap caching is enabled for Remote Desktop connections. We recommend that you use bitmap caching.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see To save your connection settings to a file.

Related Topics

To change connection settings

To improve the performance of connections


Concepts

How to...

  • Cut and paste to and from a remote session
  • Access local files and folders in a remote session
  • Print to your local printer from a remote session
  • Disconnect without ending a session
  • Log off and end the session
  • Use Terminal Services shortcut keys
  • Make local resources available in a remote session
  • Use a smart card to log on to a remote computer


Cutting and pasting to and from remote sessions

Cutting and pasting to and from a remote session

Many Remote Desktop and Terminal Services connections provide Clipboard sharing, allowing you to cut and paste from programs that you use while you’re in a remote session to programs running on your local computer (the computer you're sitting in front of), and the other way around.

When you cut or copy information from a program, it is moved to the Clipboard and stays there until you clear the Clipboard or until you cut or copy another piece of information.

Since the Clipboard is shared between the local and remote computers, you can copy and paste text or graphics from a document within the Remote Desktop Connection window and paste it into a document on your local computer. For information about copying, pasting, and using local files and folders in a Remote Desktop session, see Accessing local files and folders in a remote session.

Note

  • Depending on the policies of your network and the version of Windows that is running on the remote computer, Clipboard sharing might not work for some Remote Desktop connections.

Related Topics

Accessing local files and folders in a remote session

How to...


Making local resources available to a remote computer

Making local resources available in a remote session

You can choose whether to allow a remote computer to have access to resources such as disk drives, serial ports, printers, or a smart card on your local computer. This is called resource redirection. Unless Group Policy settings prohibit redirection, you can redirect local resources to a remote computer by selecting the appropriate check box in the Local devices and resources section on the Local Resources tab in Remote Desktop Connection.

Making these resources available to a remote computer means that they can be used by that remote computer for the duration of the session. For example, suppose you choose to make your local disk drive available to the remote computer. This allows you to easily copy files to or from the remote computer, but it also means that the remote computer has access to the contents of your local disk drive. If there are times when this would not be appropriate, you can clear the applicable check box to keep your local disk drive, or any other local resource, from being redirected to the remote computer.

By default, redirection for disk drives, serial ports, and smart cards is turned off. To redirect these resources, see To make your local serial port available in a session, To make your local disk drives available in a session, and To make a smart card available in a session.


Using a smart card to log on to a terminal server

Using a smart card to log on to a remote computer

Smart cards are the most secure way to log on to a computer that is connected to a network. Because smart cards are tamper-resistant, they offer much stronger security than password-based logons can provide.

Many people choose passwords they can remember easily, which makes password-based logons weak and open to attack. If an unauthorized person obtains your password, that person can use your identity to connect to a network. However, to log on to a network by using your smart card, an unauthorized person would have to obtain both the smart card and your personal identification number (PIN), which is more difficult.

Using a smart card to log on to a remote computer verifies your identity to the remote computer and allows you to access the programs you need to do your work. You can also make the smart card available to the remote computer for the duration of the session, in the same way that you can make your local disk drives available to the remote computer. However, the remote computer cannot access any private information stored on the smart card without your consent.

For information about making a smart card available to a remote computer, see To make a smart card available in a session. The option to enable smart card redirection is not available unless a smart card is present and the Smart Card service is enabled.


Accessing local files and folders in a remote session

With Remote Desktop Connection, drive redirection enables you to access your local drives when you are connected to a remote computer.

If you have redirected your local drives n a Remote Desktop session, the drives appear in Computer or My Computer with the following designation:

<driveletter> on <computer name>

To access local drives from a command line or a run line in a remote session, type:

\\tsclient\<driveletter>

where driveletter is the drive letter (without a colon) of the local drive.

Notes

  • Depending on your network policies, drive redirection might be disabled for some or all computers on your network. To ensure that Remote Desktop Connection is configured to redirect local drives, see To make local disk drives and devices available in a session.
  • Drive redirection is not available when you are connecting to a remote computer running Windows 2000 or earlier.

Related Topics

How to...


Printing to your local printer from a remote session

During a Remote Desktop session, you can use your printer to print documents that are stored on the remote computer. You need to set this up just before you connect. The setting will be saved, so you won't need to change it the next time you connect.

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. Click Options, and then click the Local Resources tab.
  3. Under Local devices and resources, select the Printers check box.
  4. Click Connect to start the session.

Make sure that you select your printer in the Print dialog box each time you print.

Printer redirection routes printing jobs from a remote computer to a printer attached to your local computer (also called the "client computer"). There are two ways to provide access to local printers: automatic printer redirection and manual printer redirection. Use manual redirection when your local printer requires a driver that is not available on the version of Windows that is running on the remote computer.

Automatic printer redirection

Printer redirection is automatic when your local printer uses a driver that is installed on the remote computer. When you log on to a session on a remote computer, any local printers attached to LPT, COM, or USB ports on the client (local) computer are automatically detected and a local queue is created on the remote computer. The client computer printer settings for the default printer and some properties (such as printing on both sides of the page) are used by the remote computer.

When you disconnect or end the session, the print queue is deleted and any incomplete or pending print jobs are cancelled. Information about the client's local printers and settings are saved on the client computer. On subsequent logons, the print queue is created using the information stored on the client computer.

If a printer driver is not found on the remote computer, an event is logged and the client printer is not added. To make the printer available, you must manually install the driver on the remote computer.

Manual printer redirection

To manually redirect a client printer, contact your administrator and provide the name of your computer (or the IP address). The client must be connected to the remote computer during manual redirection.

After the initial manual redirection, printers will be automatically redirected during subsequent logons.

Notes

  • Redirected printers are available for use with programs running on the remote computer. Redirected printers appear in the Printers and Faxes folder in Control Panel and are named in this format: Client Printer Name (from Client Computer Name).
  • When you disconnect or log off from a session, the print queue is deleted, and incomplete or pending print jobs are cancelled.

Related Topics

To make your local printer available in a session

How to...


Using Terminal Services shortcut keys

If you don't apply Windows shortcut keys to your Remote Desktop sessions, you can use these Terminal Services shortcut keys to perform many of the same functions. For information about applying Windows shortcut keys, see To configure Windows shortcut keys in a session.

Shortcut key | Description
ALT+PAGE UP | Switches between programs from left to right.
ALT+PAGE DOWN | Switches between programs from right to left.
ALT+INSERT | Cycles through programs in the order that they were started in.
ALT+HOME | Displays the Start menu.
CTRL+ALT+BREAK | Switches between a window and a full screen.
CTRL+ALT+END | Displays the Windows Security dialog box.
ALT+DELETE | Displays the Windows menu.
CTRL+ALT+Minus (-) symbol on the numeric keypad | Places a copy of the active window, within the client, on the remote computer's clipboard (provides the same functionality as pressing ALT+PRINT SCREEN on a local computer).
CTRL+ALT+Plus (+) symbol on the numeric keypad | Places a copy of the entire client window area on the remote computer's clipboard (provides the same functionality as pressing PRINT SCREEN on a local computer).
CTRL+ALT+RIGHT ARROW | Enables you to “tab” out of the Remote Desktop controls to a control in the host program (for example, a button or a text box). Useful when the Remote Desktop controls are embedded in another (host) program.
CTRL+ALT+LEFT ARROW | Enables you to “tab” out of the Remote Desktop controls to a control in the host program (for example, a button or a text box). Useful when the Remote Desktop controls are embedded in another (host) program.

Notes

  • On an NEC 98, these shortcut keys are different in two cases:
    • CTRL+ALT+BREAK is replaced by CTRL+GRPH+VF2.
    • CTRL+ALT+END is replaced by CTRL+GRPH+VF1.
  • CTRL+ALT+BREAK and CTRL+ALT+END are available in all Remote Desktop Connection sessions, even if you choose to apply Windows shortcut keys on the remote computer.

Starting Remote Desktop Connection from the Run dialog box

Instead of starting Remote Desktop Connection from the Start menu, you can start it from the Run dialog box or from a command line. That way you can use additional command line parameters to control how Remote Desktop Connection looks or behaves.

To start Remote Desktop from the Run dialog box, follow these steps:

  1. Click Start, and then click Run.
  2. In the Open box, type mstsc.
  3. Press ENTER, or type a space followed by any additional parameters that you want to use from the table below.

Command line syntax for Remote Desktop Connection

Syntax
mstsc [<connection file>] [/v:<server[:port]>] [/console] [/f[ullscreen]] [/w:<width>] [/h:<height>] [/public] | [/span] [/edit "connection file"] [/migrate] [/?]

Command line parameters for Remote Desktop Connection

Parameter | Description
/v:<server[:port]> | Specifies the remote computer you want to connect to.
/console | Connects you to the session logged on at the console of a server running Windows Server 2003 or a server on which the Terminal Server role service is installed.
/f | Starts Remote Desktop Connection in full-screen mode.
/w:<width> | Specifies the width of the Remote Desktop Connection window.
/h:<height> | Specifies the height of the Remote Desktop Connection window.
/public | Runs Remote Desktop Connection in public mode.
/span | Matches the remote desktop width and height with the local virtual desktop, spanning across multiple monitors if necessary. To span across monitors, the monitors must all have the same height and be aligned side by side.
/edit | Opens the specified .rdp connection file for editing.
/migrate | Migrates older connection files that were created with Client Connection Manager to new .rdp connection files.
/? | Lists these parameters.

Related Topics

Configuring Windows shortcut keys in a session

How to...


Troubleshooting

  • Troubleshooting general error messages
  • Troubleshooting licensing error messages
  • Troubleshooting specific problems


Troubleshooting general error messages

Which message are you getting?

Because of an error in data encryption, this session will end. Please try connecting to the remote computer again.

Cause: Data encryption provides security for data sent over network connections. A data encryption error can end a session for security reasons.

Solution: Try connecting to the remote computer again. Encryption policies can vary between systems and domains. If you continue to see this message, contact the server administrator.

The remote connection has timed out. Please try connecting to the remote computer again.

Cause: The terminal server disconnected your session because you did not send a response within the time limit set for responses.

Solution: Try connecting to the terminal server again. If you see this message again, try to reconnect later. If you continue to see this message, contact the server administrator.

Cause: A slow network connection, caused by excessive network traffic, has delayed your response to the terminal server.

Solution: Try connecting to the terminal server again. If you see this message again, try to reconnect later. If you continue to see this message, contact the server administrator.

The remote session was disconnected because the total logon time limit was reached. This limit is set by the server administrator or by network policies.

Cause: Your connection to the terminal server exceeded the time limit.

Solution: Try connecting to the terminal server again. If you see this message again, try to reconnect later. If you continue to see this message, contact the server administrator.

The specified computer name contains invalid characters. Please verify the name and try again.

Cause: The name of the remote computer is incorrect. This might be a typing error.

Solution: Try typing the name of the remote computer again. If you see the same message, contact the server administrator to be sure you are using the correct name for the remote computer.

The specified remote computer could not be found. Verify that you have typed the correct computer name or IP address, and then try connecting again.

Cause: The name or IP address of the remote computer is incorrect. This might be a typing error.

Solution: Try typing the name or IP address of the remote computer again. If you see the same message, contact the server administrator to be sure you are using the correct name or IP address for the remote computer.

Your Remote Desktop session has ended. Your network administrator might have ended the connection. Try connecting again, or contact technical support for assistance.

Cause: The most common cause of this error is that the server administrator needed to perform maintenance tasks on the terminal server. These tasks can be performed only when there are no remote connections to the terminal server.

Solution: Try to reconnect later. If you see the same message, contact the server administrator.

Your Remote Desktop session has ended. You were logged off the remote computer. Your network administrator or another user might have ended your session. Try connecting again, or contact technical support for assistance.

Cause: The most common cause of this error is that the server administrator needed to perform maintenance tasks on the terminal server. These tasks can be performed only when there are no remote connections to the terminal server.

Solution: Try to reconnect later. If you see the same message, contact the server administrator.

Your Remote Desktop session has ended. Another user connected to the remote computer, so your connection was lost. Try connecting again, or contact technical support for assistance.

Cause: The most common cause of this error is that the server administrator needed to perform maintenance tasks on the terminal server. These tasks can be performed only when there are no remote connections to the terminal server.

Solution: Try to reconnect later. If you see the same message, contact the server administrator.

The remote session was disconnected because the total logon time limit was reached. This limit is set by the server administrator or by network policies.

Cause: Your connection to the terminal server exceeded the time limit set.

Solution: Try connecting to the remote computer again. If you see the same message, try to reconnect later. If you still have problems connecting, contact the server administrator.

The local computer is low on memory. Close some programs, and then connect to the remote computer again.

Cause: There is not enough available remote access memory (RAM) on your computer. In this case, your computer cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and then try your connection again.

Cause: There is not enough space available on your computer's hard disk. If the hard disk is full, there might not be enough space available to allow the paging file to operate correctly. The paging file allows your computer to perform some RAM functions even when there is not enough available RAM.

Solution: Free some space on your hard disk by:

  • Emptying the Recycle Bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying the Recycle Bin after you delete files.

This computer can't connect to the remote computer. The connection was lost due to a network error. Try connecting again. If the problem continues, contact your network administrator or technical support.

Cause: A network error prevented your computer from communicating with the terminal server.

Solution: Try connecting to the remote computer again. If you see the same message, make sure that your computer is connected to the network. If you still cannot connect to the remote computer, contact the server administrator.

The client could not connect. You cannot connect to the console from a console session of the same computer.

Cause: You are logged on to a computer and you are trying to connect to that same computer.

Solution: If you are not on the same computer, contact the server administrator.

The client could not connect to the remote computer. Remote connections might not be enabled or the computer might be too busy to accept new connections. It is also possible that network problems are preventing your connection. Please try your connection again later. If the problem continues to occur, contact your administrator.

Cause: The remote computer might not be set up to accept remote connections.

Solution: Try connecting to the remote computer later. If you see the same message, contact the server administrator.

Cause: The remote computer might already have the maximum number of remote connections it is set up to accept.

Solution: Try connecting to the remote computer later. If you see the same message, contact the server administrator.

Cause: Network problems might be preventing the connection.

Solution: Try connecting to the remote computer later. If you see the same message, contact the server administrator.

Out of memory. The remote session will be disconnected. Close some programs on the local computer, and then try connecting to the remote computer again.

Cause: There is not enough available remote access memory (RAM) on your computer. In this case, your computer cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: There is not enough space available on your computer's hard disk. If the hard disk is full, there might not be enough space available to allow the paging file to operate correctly. The paging file allows your computer to perform some RAM functions even when there is not enough available RAM.

Solution: Free some space on your hard disk by:

  • Emptying the Recycle Bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying the Recycle Bin after you delete files.

An internal state error has occurred. The remote session will be disconnected. Your local computer might be low on memory. Close some programs, and then try connecting to the remote computer again.

Cause: There is not enough available remote access memory (RAM) on your computer. In this case, your computer cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: There is not enough space available on your computer's hard disk. If the hard disk is full, there might not be enough space available to allow the paging file to operate correctly. The paging file allows your computer to perform some RAM functions even when there is not enough available RAM.

Solution: Free some space on your hard disk by:

  • Emptying the Recycle Bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying the Recycle Bin after you delete files.

Because of a protocol error, this session will be disconnected. Please try connecting to the remote computer again.

Cause: A protocol specifies the way a computer communicates with other computers. A protocol error prevents your computer from communicating with the terminal server that you were connected to.

Solution: Try connecting to the remote computer again. If you see the same message, contact the server administrator.

Because of a protocol error (error_code), the remote session will be disconnected. Please try connecting to the remote computer again.

Cause: A protocol specifies the way a computer communicates with other computers. A protocol error prevents your computer from communicating with the terminal server that you were connected to.

Solution: Try connecting to the remote computer again. If you see the same message, contact the server administrator, and provide the error code that was displayed in the message.

Because of a security error, the client could not connect to the remote computer. Verify that you are logged on to the network, and then try connecting again.

Cause: The most common causes are network errors or slowdowns.

Solution: Make sure your computer is connected to the network, and then try to reconnect later. If you still cannot connect, contact the server administrator.

The remote session was disconnected because the remote computer is low on memory.

Cause: Memory errors have a variety of causes, but the result is the same: The remote computer does not have enough memory to start and maintain the connection you are attempting to make.

Solution: Contact the server administrator.

Because of an unknown error, the remote session will be disconnected. The local computer might be low on memory. Close some programs, and then try connecting to the remote computer again.

Cause: There might not be enough available remote access memory (RAM) on your computer. In this case, your computer cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: There is not enough space available on your computer's hard disk. If the hard disk is full, there might not be enough space available to allow the paging file to operate correctly. The paging file allows your computer to perform some RAM functions even when there is not enough available RAM.

Solution: Free some space on your hard disk by:

  • Emptying the Recycle Bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying the Recycle Bin after you delete files.

An unrecoverable error occurred while the client was attempting to connect. Close some programs, and then try connecting to the remote computer again.

Cause: There might not be enough available remote access memory (RAM) on your computer. In this case, your computer cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: There might not be enough space available on your computer's hard disk. If the hard disk is full, there might not be enough space available to allow the paging file to operate correctly. The paging file allows your computer to perform some RAM functions even when there is not enough available RAM.

Solution: Free some space on your hard disk by:

  • Emptying the Recycle Bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying the Recycle Bin after you delete files.

This computer can't connect to the remote computer. The problem might be due to low virtual memory on your computer. Close your other programs, and then try connecting again. If the problem continues, contact your network administrator or technical support.

Cause: There is not enough available remote access memory (RAM) on your computer. In this case, your computer cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: There is not enough space available on your computer's hard disk. If the hard disk is full, there might not be enough space available to allow the paging file to operate correctly. The paging file allows your computer to perform some RAM functions even when there is not enough available RAM.

Solution: Free some space on your hard disk by:

  • Emptying the Recycle Bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying the Recycle Bin after you delete files.

Unable to allocate window resources. The remote session will be disconnected. Close some programs on the local computer, and then try connecting to the remote computer again.

Cause: There is not enough available remote access memory (RAM) on your computer. In this case, your computer cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: There is not enough space available on your computer's hard disk. If the hard disk is full, there might not be enough space available to allow the paging file to operate correctly. The paging file allows your computer to perform some RAM functions even when there is not enough available RAM.

Solution: Free some space on your hard disk by:

  • Emptying the Recycle Bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying the Recycle Bin after you delete files.


Troubleshooting licensing error messages

This topic lists licensing error messages that can appear on client computers, and describes the causes of and solutions for these errors. Although these error messages appear on client computers, they are frequently caused by problems with the Windows Server 2003 Terminal Server license server or the terminal server. Therefore, when you troubleshoot Terminal Server licensing issues, it is useful to first determine whether there are server configuration issues or problems with network connectivity.

Important

  • The solutions in this topic are intended to be implemented by administrators. If you are not an administrator, contact your server administrator for help with resolving these errors. If you are an administrator, to help prevent Terminal Services licensing issues and to more efficiently diagnose issues, we highly recommend that you see Troubleshooting Terminal Server Licensing (http://go.microsoft.com/fwlink/?LinkId=38499), Guidelines for Deploying Terminal Server (http://go.microsoft.com/fwlink/?LinkID=34627), and Windows Server 2003 Terminal Server Licensing Issues and Requirements for Deployment (http://go.microsoft.com/fwlink/?LinkID=23444).

Which message are you getting?

The remote session was disconnected because the local computer's client access license could not be upgraded or renewed. Please contact the server administrator.

Cause: The Terminal Services licensing mode on the terminal server might be set to Per Device, while the license server might be configured to issue only Per User client access licenses (CALs). In this case, the license server issues only temporary licenses that cannot be upgraded. When the temporary licenses are within several days of expiring, "Event ID 26, Source: Application Pop-up" appears in the application event log on the client computer. This event message indicates the number of days remaining before the temporary license expires. Similarly, "Event ID 1011, Source TermService" appears in the application event log on the terminal server.

Solution: Change the Terminal Server licensing mode from Per Device to Per User.

Important

  • Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. This does not remove administrators from End User License Agreement (EULA) requirements to have a valid terminal server CAL for each user. Failure to have a Per User CAL for each user, if Per Device CALs are not being used, is a violation of the EULA.

    The following text is from the EULA for Windows Server 2003:

    "Two different TS CALs are available to you: ‘Device’ and ‘User.’ Each TS Device CAL permits one Device (used by any User) to conduct Windows Sessions on any of your Servers. Each TS User CAL permits one User (using any Device) to conduct Windows Sessions on any of your Servers. You may use a mix of TS Device CALs and TS User CALs simultaneously with the Server Software in your environment. You can have a Terminal Server request Per User licenses or Per Device (default) but not both simultaneously."

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664)

The remote computer disconnected the session because of an error in the licensing protocol. Please try connecting to the remote computer again or contact your server administrator.

Cause: The terminal server might not be able to locate the license server.

Solution: Follow these steps:

  1. Verify that the license server is correctly installed.
  2. Verify that the Terminal Server Licensing service is running on the license server.
  3. Verify that the client computer, the terminal server, and the license server can communicate by ensuring that Domain Name System (DNS) is configured correctly on each computer. To do this, run the ping command from each computer to each computer using the IP address, fully qualified domain name (FQDN), and NetBIOS name. If any of the ping commands fail, verify the DNS configuration on the network.
  4. On the terminal server, set a preferred license server to connect to. You can do this by using the registry or a Windows Management Instrumentation (WMI) script. In Windows Server 2003 with Service Pack 1, you can use Group Policy settings or Terminal Server Configuration.

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664)

Solution: If the previous solution does not resolve this problem, create a backup of the MSLicensing registry key and its subkeys on the client computer, and then remove the original key and subkeys by doing the following:

Caution

  • Incorrectly editing the registry might severely damage your system. Before making changes to the registry, you should back up any valuable data.

  1. On the client computer, navigate to the following registry subkey: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSLicensing
    2. .
  2. Click MSLicensing
    3. .
  3. On the Registry menu, click Export Registry File
    4. .
  4. In the File name box, type mslicensingbackup, and then click Save.

    5. To restore this registry key in the future, double-click mslicensingbackup.reg.

  5. On the Edit menu, click Delete, and then click Yes to confirm the deletion of the MSLicensing registry subkey.
  6. Close Registry Editor, and then restart the computer.

    7. When the client computer is restarted, the missing registry key is rebuilt.

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664); Removing Terminal Server Licenses From an RDP Client (http://go.microsoft.com/fwlink/?LinkId=38560)

The remote session was disconnected because there were network problems during the licensing protocol. Please try connecting to the remote computer again.

Cause: The terminal server might not be able to locate the license server.

Solution: Follow these steps:

  1. Verify that the license server is correctly installed.
  2. Verify that the Terminal Server Licensing service is running on the license server.
  3. Verify that the client computer, the terminal server, and the license server can communicate by ensuring that Domain Name System (DNS) is configured correctly on each computer. To do this, run the ping command from each computer to each computer using the IP address, fully qualified domain name (FQDN), and NetBIOS name. If any of the ping commands fail, verify the DNS configuration on the network.
  4. On the terminal server, set a preferred license server to connect to. You can do this by using the registry or a Windows Management Instrumentation (WMI) script. In Windows Server 2003 with Service Pack 1, you can use Group Policy settings or Terminal Server Configuration.

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664)

Cause: The license server might be running Windows 2000, and it might be configured to prohibit anonymous connections, except by resources that have been explicitly granted access to the server.

Solution: On the license server, do one of the following:

  • In the registry, navigate to HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa\RestrictAnonymous, and set the RestrictAnonymous registry key to a value of 1 or 0.

    Caution

    • Incorrectly editing the registry might severely damage your system. Before making changes to the registry, you should back up any valuable data.

  • In Local Security Policies, open the appropriate policy and, in the console tree, navigate to Computer Configuration\Windows Settings\Security Settings\Local Policies\Security Options. Then, enable either Do not allow enumeration of SAM accounts and shares (equivalent to a RestrictAnonymous value of 1 or None) or Rely on default permissions (equivalent to a RestrictAnonymous value of 0).

    • Notes

    • If the license server is a member of an Active Directory domain and a conflicting security setting is configured for the license server in Group Policy, the Group Policy setting overrides the local security setting. In this case, to ensure that the security setting that you want to apply takes effect, configure the setting in Group Policy.
    • In Windows Server 2003, you cannot set RestrictAnonymous to a value of 2 to prohibit anonymous connections. If you need to prohibit anonymous users from being granted the same access that is granted to members of the Everyone group, you must use the new Everyone Network access: Let Everyone permissions apply to anonymous users setting in Local Security Policies.

Solution: If the previous solution does not resolve this problem, create a backup of the MSLicensing registry key and its subkeys on the client computer, and then remove the original key and subkeys by doing the following:

Caution

  • Incorrectly editing the registry might severely damage your system. Before making changes to the registry, you should back up any valuable data.
  1. On the client computer, navigate to the following registry subkey: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSLicensing
    2. .
  2. Click MSLicensing
    3. .
  3. On the Registry menu, click Export Registry File
    4. .
  4. In the File name box, type mslicensingbackup, and then click Save.

    5. To restore this registry key in the future, double-click mslicensingbackup.reg.

  5. On the Edit menu, click Delete, and then click Yes to confirm the deletion of the MSLicensing registry subkey.
  6. Close Registry Editor, and then restart the computer.

    7. When the client computer is restarted, the missing registry key is rebuilt.

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664); How To Use the RestrictAnonymous Registry Value in Windows 2000 (http://go.microsoft.com/fwlink/?LinkId=38561)

A licensing error occurred while the client was attempting to connect. (Licensing timed out.) Please try connecting to the remote computer again.

Cause: If you are using Internet Protocol security (IPsec) to help protect traffic over TCP between client computers and terminal servers, then packet fragmentation might occur. As a result, some packets might not reach their destination, and client connections to terminal servers might fail.

Solution: Configure IPsec to help protect traffic over UDP rather than over TCP.

See also: Define IPsec Policies

The remote session was disconnected because there are no Terminal Server client access licenses available for this computer. Please contact the server administrator.

Cause: The license server might not have any remaining Per Device CALs to issue.

Solution: Use Terminal Server Licensing to determine the number of CALs remaining on the license server. To open Terminal Server Licensing, click Start, click Programs, click Administrative Tools, and then point toTerminal Server Licensing. If the license server does not have any remaining CALs to issue to client computers, purchase and install additional CALs as required.

Cause: The Terminal Server licensing mode on the terminal server might be set to Per Device, while the license server might have only Per User CALs. If this is the case, the license server issues only temporary licenses that cannot be upgraded. When the temporary licenses are within several days of expiring, "Event ID 26, Source: Application Pop-up" appears in the application event log on the client computer. The event message indicates the number of days remaining before the temporary license expires. Similarly, "Event ID 1011, Source TermService" appears in the application event log on the terminal server.

Solution: Change the Terminal Server Licensing mode from Per Device to Per User.

Important

  • Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. This does not remove administrators from End User License Agreement (EULA) requirements to have a valid terminal server CAL for each user. Failure to have a Per User CAL for each user, if Per Device CALs are not being used, is a violation of the EULA.

    • The following text is from the EULA for Windows Server 2003:

    "Two different TS CALs are available to you: ‘Device’ and ‘User.’ Each TS Device CAL permits one Device (used by any User) to conduct Windows Sessions on any of your Servers. Each TS User CAL permits one User (using any Device) to conduct Windows Sessions on any of your Servers. You may use a mix of TS Device CALs and TS User CALs simultaneously with the Server Software in your environment. You can have a Terminal Server request Per User licenses or Per Device (default) but not both simultaneously."

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664)

Cause: The terminal server might not be able to locate the license server.

Solution: Follow these steps:

  1. Verify that the license server is correctly installed.
  2. Verify that the Terminal Server Licensing service is running on the license server.
  3. Verify that the client computer, the terminal server, and the license server can communicate by ensuring that Domain Name System (DNS) is configured correctly on each computer. To do this, run the ping command from each computer to each computer using the IP address, fully qualified domain name (FQDN), and NetBIOS name. If any of the ping commands fail, verify the DNS configuration on the network.
  4. On the terminal server, set a preferred license server to connect to. You can do this by using the registry or a Windows Management Instrumentation (WMI) script. In Windows Server 2003 with Service Pack 1, you can use Group Policy settings or Terminal Server Configuration.

Solution: If the previous solution does not resolve this problem, create a backup of the MSLicensing registry key and its subkeys on the client computer, and then remove the original key and subkeys by doing the following:

Caution

  • Incorrectly editing the registry might severely damage your system. Before making changes to the registry, you should back up any valuable data.
  1. On the client computer, navigate to the following registry subkey: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSLicensing
    2. .
  2. Click MSLicensing
    3. .
  3. On the Registry menu, click Export Registry File
    4. .
  4. In the File name box, type mslicensingbackup, and then click Save.

    5. To restore this registry key in the future, double-click mslicensingbackup.reg.

  5. On the Edit menu, click Delete, and then click Yes to confirm the deletion of the MSLicensing registry subkey.
  6. Close Registry Editor, and then restart the computer.

    7. When the client computer is restarted, the missing registry key is rebuilt.

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664)

The remote session was disconnected because there are no Terminal Server License Servers available to provide a license. Please contact the server administrator.

Cause: The terminal server might not be able to locate the license server.

Solution: Follow these steps:

  1. Verify that the license server is correctly installed.
  2. Verify that the Terminal Server Licensing service is running on the license server.
  3. Verify that the client computer, the terminal server, and the license server can communicate by ensuring that Domain Name System (DNS) is configured correctly on each computer. To do this, run the ping command from each computer to each computer using the IP address, fully qualified domain name (FQDN), and NetBIOS name. If any of the ping commands fail, verify the DNS configuration on the network.
  4. On the terminal server, set a preferred license server to connect to. You can do this by using the registry or a Windows Management Instrumentation (WMI) script. In Windows Server 2003 with Service Pack 1, you can use Group Policy settings or Terminal Server Configuration.

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664)

Cause: The client computer might have exceeded its Terminal Server Licensing grace period, and a license server has not yet been installed or activated to issue the client computer a CAL.

Solution: Install Terminal Server Licensing, activate the license server, and then install and purchase a sufficient number of CALs to support the client computers in your organization.

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664)

Because of a security error, the client could not connect to the terminal server. After making sure that you are logged on to the network, try connecting to the server again.

Cause: If you upgraded a Windows NT domain to Windows Server 2000 or Windows Server 2003, then the certificate on the terminal server might be corrupted. As a result, Windows Server 2000 Terminal Services client computers might be repeatedly denied access to the terminal server.

Solution: On each terminal server and client computer, follow these steps:

Caution

  • Incorrectly editing the registry might severely damage your system. Before making changes to the registry, you should back up any valuable data.
  1. On each terminal server, create a backup of the registry.
  2. Navigate to the following registry subkey: HKLM\SYSTEM\CurrentControlSet\Services\TermServices\Parameters.
  3. On the Registry menu, click Export Registry File.
  4. In the File name box, type exported-parameters, and then click Save.

    5. To restore this registry subkey in the future, double-click exported-parameters.reg.

  5. Under the Parameters registry subkey, right-click each of the following values:
    • Certificate
    • X509 Certificate
    • X509 Certificate ID
  6. Click Delete, and then click Yes to confirm the deletion.
  7. Close Registry Editor, and then restart each terminal server.
  8. On the client computer, create a backup of the MSLicensing registry key and its subkeys, and then remove the original key and subkeys by doing the following:
    • Navigate to the following registry subkey: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSLicensing
      • .
    • Click MSLicensing
      • .
    • On the Registry menu, click Export Registry File
      • .
    • In the File name box, type mslicensingbackup, and then click Save.

      • To restore this registry key in the future, double-click mslicensingbackup.reg.

    • On the Edit menu, click Delete, and then click Yes to confirm the deletion of the MSLicensing registry subkey.
    • Close Registry Editor, and then restart the computer.

      • When the client computer is restarted, the missing registry key is rebuilt.

If the client computer still cannot connect to the terminal server, perform the following variation of this procedure:

Caution

  • Incorrectly editing the registry might severely damage your system. Before making changes to the registry, you should back up any valuable data.
  1. Deactivate the license server.
  2. Reactivate the license server by using the Telephone connection method in the Terminal Server License Server Wizard.

    3. When you activate Terminal Server Licensing by using the Telephone option, Terminal Server Licensing uses a different certificate.

  3. On each terminal server, create a backup of the registry, and then delete the Certificate, X509 Certificate, and X509 Certificate ID registry keys, as described in the preceding procedure.
  4. Close Registry Editor, and then restart each terminal server.
  5. On the client computer, create a backup of the MSLicensing registry key and its subkeys, and then remove the original key and subkeys as described in the preceding procedure.
  6. Close Registry Editor, and then restart the computer.

    7. When the client computer is restarted, the missing registry key is rebuilt.

See also: Terminal Server Licensing How To (http://go.microsoft.com/fwlink/?LinkID=38664)

Cause: Windows XP-based client computers might be attempting to connect to a Windows Server 2000-based Terminal Services server in a low-bandwidth network environment in which client sessions are encrypted. In this case, IP packet fragmentation can cause encrypted frames that are sent by a client computer to be decrypted incorrectly.

Solution: Get the latest service pack for Windows Server 2000.

Cause: The Remote Desktop Protocol (RDP) encryption settings on the terminal server computer and the client computer might not be compatible. For example, the terminal server might be running 128-bit encryption with an encryption level set to High. When this occurs, "Event ID 50, Source: TermDD" appears in the system event log on the terminal server.

Solution: Change the RDP encryption level on the terminal server to Medium or Low.

See also: Because of a Security Error, the Client Could Not Connect to the Terminal Server (http://go.microsoft.com/fwlink/?LinkId=72543); Terminal Services Sessions Are Disconnected Because of a Decryption Error (http://go.microsoft.com/fwlink/?LinkId=38563); Terminal Services Client Cannot Connect to a Server Running 128-bit Encryption (http://go.microsoft.com/fwlink/?LinkId=38559)


Troubleshooting specific problems

What problem are you having?

I can't connect to the remote computer.

Cause: Not enough memory.

Solution: Close your other programs, and then try connecting again. If the problem continues, restart your computer, and then try connecting again. If you still can't connect, contact your network administrator or technical support.

Cause: Network failure.

Solution: Make sure that your router is turned on (home networks only), the Ethernet cable is plugged into your network adapter (wired networks only), your computer's wireless switch is turned on (mobile computers on wireless networks only), and your network adapter is working. If the problem continues, contact your network administrator or the person who set up your network.

Cause: The remote computer cannot be found.

Solution: Ask the administrator of the remote computer to verify the computer name, and make sure you typed the name correctly. If you still can't connect, try typing the IP address of the remote computer instead.

Connecting a home computer to a computer on a corporate domain requires an intermediate step to ensure that the computers can communicate. One way to do this is to establish a virtual private network (VPN) connection to the corporate network. Another way is to use a Terminal Services Gateway server. If you have problems doing either of these things, contact your system administrator or technical support.

Connecting two home computers across the Internet is also possible. However, doing this typically requires detailed knowledge of the router configuration, port mappings, and IP addresses.

If authentication is enabled, you must type a full computer name (for example, Computer1.Example.com) on the General tab of the Remote Desktop Connection dialog box.

To find out what level of authentication is enabled:

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options, and then click the Advanced tab.

To find the full computer name of the remote computer, follow these steps on the remote computer:

  1. In Windows XP, open System in Control Panel by clicking Start, clicking Programs or All Programs, clicking Control Panel, clicking Performance and Maintenance, and then clicking System. In Windows Server 2003, open System in Control Panel by clicking Start, clicking Control Panel, and then clicking System.
  2. The full computer name is listed on the Computer Name tab.

Cause: The Remote Desktop port might be blocked by a firewall.

Solution: If you're using Windows Firewall, follow these steps:

  1. In Windows XP, open Windows Firewall in Control Panel by clicking Start, clicking Control Panel, clicking Security, and then clicking Windows Firewall. In Windows Server 2003, open Windows Firewall in Control Panel by clicking Start, clicking Control Panel, and then clicking Windows Firewall.
  2. On the Exceptions tab, select the Remote Desktop check box, and then click OK.

If you are using a different firewall, make sure the port for Remote Desktop (usually 3389) is open.

Cause: Remote connections might not be enabled on the remote computer.

Solution:

  1. In Windows XP, open System in Control Panel by clicking Start, clicking Programs or All Programs, clicking Control Panel, clicking Performance and Maintenance, and then clicking System. In Windows Server 2003, open System in Control Panel by clicking Start, clicking Control Panel, and then clicking System.
  2. In Windows XP, click the Remote tab and then select the Allow users to connect remotely to this computer check box. In Windows Server 2003, click the Remote tab and then select the Enable Remote Desktop on this computer check box. Click OK.

Cause: The remote computer might be too busy to accept any more connections right now.

Solution: Wait a while, and then try connecting again.

Cause: The remote computer is asleep or hibernating.

Solution: Go to the remote computer and disable Sleep or Hibernate.

Cause: IPsec is running on the remote computer.

Solution: On the remote computer, open the Command Prompt window, type "net stop policyagent," and then press ENTER.

Cause: There might be outdated entries in the DNS database.

Solution: Type the IP address instead of the computer name, and notify your network administrator about the DNS issue.

I can't log on to the remote computer.

Cause: You might not have the necessary permissions to log on to the remote computer.

Solution: If you can see the logon screen of the remote computer but you can't log on, go to the remote computer and add yourself to the Remote Desktop Users Group or to any group with administrative rights on the remote computer (or ask the administrator of the remote computer to do this).

Remote Desktop Connection is very slow.

Cause: A low-bandwidth connection can slow Remote Desktop performance.

Solution: On the remote computer, set the background selection to None.

Solution: Do not run memory-intensive programs over Remote Desktop Connection.

Solution: Consider upgrading your modem or purchasing a high-speed service.

I minimized the Remote Desktop Connection dialog box, and then my screen went blank.

Cause: Using a password-protected screen saver can cause this problem. Your programs are still running on the remote computer, but you can no longer use them.

Solution: Disconnect Remote Desktop Connection, or ask the server administrator to disconnect you.

Solution: Do not minimize the Remote Desktop Connection dialog box if your computer uses a password-protected screen saver.

Solution: Do not use a password-protected screen saver on your local computer.

The screen saver on the remote computer is blank.

Cause: By default, when a screen saver is activated on remote computer, it is blank. This is true even if you have previously selected a different screen saver.

Solution: Continue to use the blank screen saver.

I'm supposed to be able to connect to a specific program when I log on to the remote computer, but it doesn't start.

Solution: If the remote computer is running Windows XP Professional, the complete contents of the desktop are always displayed. Start the program you want to use by double-clicking its icon on the desktop or by using the Start menu.

Cause: The client connection might have been configured to start a program upon connection, but the program path and file name are incorrect.

Solution: Check the properties for the client connection to ensure that the program path and file name are correct. Also, confirm that the program exists in this location on the server.

Cause: The server administrator might have specified a different program to start upon connection, using Group Policy, Terminal Services Configuration, or other Terminal Services administration tools.

Solution: Contact the server administrator.

I can't copy text from the remote computer to my computer.

Cause: The Clipboard is not redirected so that you can use it on the remote computer.

Solution:

  1. Open Remote Desktop Connection by clicking Start, clicking Programs or All Programs, clicking Accessories, and then clicking Remote Desktop Connection.
  2. In the Remote Desktop Connection dialog box, click Options, and then click the Local Resources tab.
  3. Under Local devices and resources, select the Clipboard check box, and then click Connect.

My saved credentials don't work.

Cause: If your computer is part of a domain, you can't save your credentials when you connect to a remote computer.


Configure data compression

To configure data compression

In this version of Remote Desktop Connection, you do not need to configure compression. By default, compression is enabled for Remote Desktop connections. Compression reduces the amount of data that must be sent across the network.

Related Topics

To configure bitmap caching

To change connection settings